Bug 172331 - Review Request: perl-XML-DOM
Review Request: perl-XML-DOM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
David Lawrence
http://search.cpan.org/dist/XML-DOM/
:
Depends On: 172330
Blocks: 128879 FE-ACCEPT 170716 172332
  Show dependency treegraph
 
Reported: 2005-11-02 16:39 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-05 04:42:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-11-02 16:39:59 EST
http://cachalot.mine.nu/4/SRPMS/perl-XML-DOM-1.44-0.1.src.rpm

This is a Perl extension to XML::Parser. It adds a new 'Style' to
XML::Parser, called 'Dom', that allows XML::Parser to build an Object
Oriented datastructure with a DOM Level 1 compliant interface.  For a
description of the DOM (Document Object Model), see
http://www.w3.org/DOM/

For FC5+ only, this is part 2/3 of the replacements of the former (but still needed) perl-libxml-enno package, see bug 128879.
Comment 1 Ralf Corsepius 2005-11-05 03:13:27 EST
APPROVED

As with XML-RegExp, tested on FC4 only, but ... can't spot anything justifying
to withhold this package.

One remark: 
I think, I understand why this package "Obsoletes: perl-libxml-enno <= 1.02",
but is this Obsoletes really necessary?

FC4's perl-libxml-enno provides perl(XML::DOM) = 1.27, while this package
provides perl(XML::DOM) = 1.44. Unless I'm mistaken, as perl-libxml-enno will
continue to exist in FC5, when releasing a perl-libxml-enno package w/o XML-DOM
removed simultaneously with this perl-XML-DOM package should suffice.
Comment 2 Ville Skyttä 2005-11-05 04:42:07 EST
Thanks, imported and built.   
   
Note that perl-libxml-enno has already been dropped from FC5 and is dead   
upstream; I've submitted the three packages (XML-RegExp, XML-DOM, XML-XQL)   
that are needed in order to not break dependencies in FE5.  The full list of 
libxml-enno replacement CPAN distributions is in bug 128879 comment 2.  

Note You need to log in before you can comment on or make changes to this bug.